no usplash during boot when X takes too long to start

Bug #431184 reported by Patrice Vetsel on 2009-09-17
116
This bug affects 20 people
Affects Status Importance Assigned to Milestone
mountall (Ubuntu)
Medium
Scott James Remnant (Canonical)
Karmic
Medium
Scott James Remnant (Canonical)
usplash (Ubuntu)
Medium
Colin Watson
Karmic
Medium
Colin Watson

Bug Description

Binary package hint: usplash

daily live amd64 of 20090915 was working great. But since new upstart system upgraded (tested here with 20090917.1) I'v no more bar progression, just a graphical text mode with some errors log and normal text output from processes.

ProblemType: Bug
Architecture: amd64
Date: Thu Sep 17 05:55:41 2009
DistroRelease: Ubuntu 9.10
LiveMediaBuild: Ubuntu 9.10 "Karmic Koala" - Alpha amd64 (20090917.1)
MachineType: Packard Bell DOTMU
Package: usplash 0.5.37
ProcCmdLine: BOOT_IMAGE=/casper/vmlinuz noprompt cdrom-detect/try-usb=true file=/cdrom/preseed/hostname.seed boot=casper initrd=/casper/initrd.lz quiet splash -- debian-installer/language=fr console-setup/layoutcode?=fr console-setup/variantcode?=oss
ProcEnviron:
 LANG=fr_FR.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-10.34-generic
SourcePackage: usplash
Uname: Linux 2.6.31-10-generic x86_64
UsplashConf:
 # Usplash configuration file
 # These parameters will only apply after running update-initramfs.
dmi.bios.date: 06/25/2009
dmi.bios.vendor: INSYDE
dmi.bios.version: v0.3108
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.name: Base Board Product Name
dmi.board.vendor: Packard Bell
dmi.board.version: Base Board Version
dmi.chassis.type: 1
dmi.chassis.vendor: Chassis Manufacturer
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnINSYDE:bvrv0.3108:bd06/25/2009:svnPackardBell:pnDOTMU:pvrv0.3108:rvnPackardBell:rnBaseBoardProductName:rvrBaseBoardVersion:cvnChassisManufacturer:ct1:cvrChassisVersion:
dmi.product.name: DOTMU
dmi.product.version: v0.3108
dmi.sys.vendor: Packard Bell

Patrice Vetsel (vetsel-patrice) wrote :
Loïc Minier (lool) wrote :

Hi

Thanks for your report; usplash was intentionally disabled by default. The goal is to have the boot quick enough that we don't need usplash at all until xsplash starts. usplash is still in use in the case of fsck or password prompt though.

Hope this helps,

Changed in usplash (Ubuntu):
status: New → Invalid

Reopening. We decided at UDS that we still need to start usplash after a timeout, i. e. when X takes too long to start up. E. g. on my computer the boot process now takes 65 seconds (mostly due to sreadahead not working at all), and xsplash kicks in after some 30 seconds.

summary: - no usplash progression bar (and error messages during boot)
+ no usplash during boot
Changed in usplash (Ubuntu):
importance: Undecided → Medium
status: Invalid → Triaged
tags: added: ubuntu-boot
summary: - no usplash during boot
+ no usplash during boot when X takes too long to start
Changed in usplash (Ubuntu):
milestone: none → ubuntu-9.10
assignee: nobody → Scott James Remnant (scott)
Changed in mountall (Ubuntu):
milestone: none → ubuntu-9.10
assignee: nobody → Scott James Remnant (scott)
importance: Undecided → Medium
status: New → Triaged
pelle.k (pele2) wrote :

Unless it's really possible to start xsplash *really,really* fast, maybe a "blank" usplash could be useful until then. At least to cover verbosity at init (and present fsck routines and possible problems as well, of course).
The idea of starting xsplash so fast no verbose output is even printed at the tty is admirable, but lets face it, it's never going to be possible on all sorts of setups.

Miloš Mandarić (mandzo18) wrote :

I don't have splash at all after switching to xsplash. I have it only when I turn off laptop.

michele (mikj) wrote :

me too ...
I have an acer 1524 WLMi ... it was 4 - 5 years old ....
You are so sure that my laptop will be so fast to not show any verbosities ?
I will be happy, very happy, if it will happen ! :)
Anyway, thanks about yor work :)
mikj

Architecture: i386
DistroRelease: Ubuntu 9.10
MachineType: Dell Inc. Vostro 1320
NonfreeKernelModules: wl
Package: usplash 0.5.38
PackageArchitecture: i386
ProcCmdLine: root=UUID=abbd29e5-77f8-47d9-a640-57727c441a95 ro quiet splash
ProcEnviron:
 SHELL=/bin/bash
 PATH=(custom, no user)
 LANG=es_CL.UTF-8
ProcVersionSignature: Ubuntu 2.6.31-11.36-generic-pae
Uname: Linux 2.6.31-11-generic-pae i686
UserGroups: adm admin cdrom dialout lpadmin netdev plugdev sambashare vboxusers
UsplashConf:
 # Usplash configuration file
 # These parameters will only apply after running update-initramfs.

 xres=1280
 yres=800
dmi.bios.date: 04/08/2009
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A02
dmi.board.name: 0T052J
dmi.board.vendor: Dell Inc.
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnDellInc.:bvrA02:bd04/08/2009:svnDellInc.:pnVostro1320:pvrNull:rvnDellInc.:rn0T052J:rvr:cvnDellInc.:ct8:cvrN/A:
dmi.product.name: Vostro 1320
dmi.product.version: Null
dmi.sys.vendor: Dell Inc.

tags: added: apport-collected
Giuseppe Pennisi (giupenni78) wrote :

In Kubuntu I show only a black screen before to login.

giuseppe

Giuseppe Pennisi (giupenni78) wrote :

After today upgrade not start KDM, I must remove "quiet" and "splash" parameters from grub for start KDM.

giuseppe

tags: added: ubuntu-boot-experience
removed: ubuntu-boot
luisjeronimo (luis-on-the-go) wrote :

any development?

Jonathan Lumb (jonolumb) wrote :

I too am getting a terminal with a fair bit of text in it before Ubuntu loads up the newer graphical boot interface (brown with the glowing white line). It would be nice if this could be hidden somehow - in a similar way to how shutdown messages are hidden by a black screen with the white Ubuntu icon - simple but effective.

I am currently using a password prompt at startup to login to GDM

Wingman (mikywing) wrote :

I confirm this issue is still present in Ubuntu karmic Beta. I am using the amd64 version and i see text booting for almost 15 secs before xsplash starts.

gali98 (korylp) wrote :

I have a question related to this bug.

Okay so here is the order of my boot.
First I get the grub loading for about a second (This is grub2 on ext4)
Then for about 5-10 seconds I get just a blinking underscore in the upper left hand corner of the screen.
Then the boot text comes up (i.e. fsck, apparmor, etc)
Then xsplash comes up and loads to gdm.
When I shutdown, I get the white ubuntu logo (which I assume is usplash.)

Is this what's supposed to be happening? The blinking underscore at the begging of boot seems a bit strange and might confuse new users.... I don't know... just a thought.
Kory

luisjeronimo (luis-on-the-go) wrote :

Yes that bug affects me too gali98, I just know that the blinking underscore is hidding some boot parts which is avaiable by removing quiet from grub and it's avaiable too by recovery mode. I hope this bug will be corrected at Ubuntu 9.10 RC..

u-foka (ufooka) wrote :

Hy there!

What is really interesting, the beta live cd has a beautiful booot process, usplash with the white logo comes up immediatelly, and then xsplash loads after some time...

but after installation... grub2 feels soo sloow, and after linux loaded there is no usplash at all, many textual messages appear before xsplash loads...

Colin: did you have a chance to finish off the usplash package we were working on?

Changed in mountall (Ubuntu Karmic):
status: Triaged → In Progress
Changed in usplash (Ubuntu Karmic):
assignee: Scott James Remnant (scott) → Colin Watson (cjwatson)
status: Triaged → In Progress
pablomme (pablomme) wrote :

The latest update to usplash seems to fix this bug.

Colin Watson (cjwatson) wrote :

Indeed, usplash is now back on by default; we may revisit this for Lucid.

Changed in usplash (Ubuntu Karmic):
status: In Progress → Fix Released
Matej Kenda (matejken) wrote :

Unfortunately this issue is still present on my laptop. Updates were installed today (10th October).

ii usplash 0.5.41 Userspace bootsplash utility
ii usplash-theme-ubuntu 0.26 Usplash theme for Ubuntu
ii xsplash 0.8.3-0ubuntu1 X based bootsplash

$ lsb_release -a
LSB Version: core-2.0-ia32:core-2.0-noarch:core-3.0-ia32:core-3.0-noarch:core-3.1-ia32:core-3.1-noarch:core-3.2-ia32:core-3.2-noarch:core-4.0-ia32:core-4.0-noarch
Distributor ID: Ubuntu
Description: Ubuntu karmic (development branch)
Release: 9.10
Codename: karmic

$ uname -a
Linux knd 2.6.31-11-generic #38-Ubuntu SMP Fri Oct 2 11:55:55 UTC 2009 i686 GNU/Linux

$ cat /proc/version_signature
Ubuntu 2.6.31-11.38-generic

The model of the computer is Compaq Evo N1015v

$ cat /var/lib/acpi-support/*-*
0F0B
Compaq
Presario
0100

Matej Kenda (matejken) wrote :

Attached drm related messages from dmesg:

$ dmesg | grep "\[drm\]"

[ 9.506836] [drm] Initialized drm 1.1.0 20060810
[ 11.245492] [drm] radeon default to kernel modesetting DISABLED.
[ 11.246930] [drm] Initialized radeon 1.31.0 20080528 for 0000:01:05.0 on minor 0
[ 28.188395] [drm] Setting GART location based on new memory map
[ 28.188414] [drm] Loading R100 Microcode
[ 28.188464] [drm] writeback test succeeded in 1 usecs
[ 141.798236] [drm] Loading R100 Microcode

On Sat, Oct 10, 2009 at 08:03:31AM -0000, Matej Kenda wrote:
> Unfortunately this issue is still present on my laptop. Updates were
> installed today (10th October).
>
> ii usplash 0.5.41 Userspace bootsplash utility

I think you must have a different bug - i.e. usplash is failing to start
for some particular reason on your machine. It'd be best to file it
separately.

Peterson Silva (petersonsilva) wrote :

I still see those boot messages. They happen BETWEEN usplash and xsplash; after the white ubuntu logo kicks in, it suddenly disappears and a few messages appear such as:

fsck
preliminary keymap
apparmor
kernel oops
and another one I can't remember

Then after this xsplash starts =|

pablomme (pablomme) wrote :

I can confirm that there is a gap between usplash and xsplash where the contents of the virtual terminal are displayed. This also happens at shutdown in the switch between X and usplash. In my case the messages are displayed for a fraction of a second, except when fsck is triggered (every 30th-ish boot) and takes a long time, since usplash seems to time out after a while [BTW, shouldn't usplash display a message at the bottom as it used to do?].

Anyway, I think this should be filed as a separate bug.

Steve Langasek (vorlon) wrote :

Since usplash is now always on by default (and will ship that way for karmic), there's no reason for the mountall changes to be a release blocker; dropping the karmic target.

Changed in mountall (Ubuntu Karmic):
status: In Progress → Won't Fix
Changed in mountall (Ubuntu):
status: In Progress → Won't Fix

Oops, there is a remaining bit here - mountall should still start usplash after a timeout if it hasn't been already

Changed in mountall (Ubuntu):
status: Won't Fix → In Progress

I've uploaded a new version of mountall (0.2.5) to the ubuntu-boot PPA, as usual I would appreciate a little testing before I upload it to the archive proper.

Thanks

Changed in mountall (Ubuntu):
status: In Progress → Fix Committed

@Scott : 0.2.5 work great for me here (on 2 different PC)

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mountall - 0.2.5

---------------
mountall (0.2.5) karmic; urgency=low

  * Filesystem check progress reporting, including cancellation. LP: 446596.
  * When we're waiting for a mountpoint, if a few seconds of inactivity
    passes, report what we're waiting for and allow Escape to drop you to
    a recovery shell.
  * Start usplash for filesystem check progress reporting or when we've
    been waiting for more than a few seconds. LP: #431184.

  * Hide error removing /forcefsck, people mis-report this as a bug and
    don't tell us the error above it.
  * Don't call mount.ecryptfs or mount.aufs when adding an entry for
    /etc/mtab; these helpers are broken and do not support the -f argument.
    This means your passphrase may end up in /etc/mtab, blame them not me.
    LP: #431954, #443080.
  * Unlink /etc/mtab~ after creating/truncating /etc/mtab and before writing
    mtab entries. LP: #431865.
  * Stop the recovery shell if the user runs shutdown within it, so we
    don't run mountall again. LP: #452196.
  * If the root filesystem check fails, we'll need to reboot, so just have
    the recovery shell script do that.

  * Post-review logic fixes.

 -- Scott James Remnant <email address hidden> Tue, 20 Oct 2009 12:19:16 +0100

Changed in mountall (Ubuntu Karmic):
status: Won't Fix → Fix Released
Changed in mountall (Ubuntu Karmic):
status: Fix Released → In Progress
status: In Progress → Fix Released
tags: added: iso-testing
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers